Check Services

clock 4-minute read calender 1.1.1 | updated Jul. 08, 2026

Modern control for an old school payment

Before you begin

All KeyBank APIs require certificates, user credentials, and certain permissions. Check out our Getting started sections to learn more.

Stop payment limits

  • You can only stop a payment between the hours of 06:00 a.m. and 11:59 p.m. ET.
  • The standard rate limiting applies of 5 TPS.

Special characters

All special characters are allowed if properly escaped except for the ampersand (&) character.

Special characterName
*asterisk
#hash or number symbol
@at sign
&ampersand
Note: Not allowed for /stops/place endpoint.
-hyphen
_underscore
,comma
.period
/forward slash
\back slash
" "quotations

get /commercial/checks/v1/healthCheck

Check the health of an API service and verify you can successfully connect. A bearer token is required.

Request example

curl "https://partner-api-qv.key.com/commercial/checks/v1/healthCheck"
--header 'Bearer testZcKJDWnwDWmmf9qah6PJvPy8'
NAMETYPEDESCRIPTION
StatusstringStatus of the health check response.
SourcestringOrigin of the system response can be 'Gateway' or 'Roundtrip'. Roundtrip returns a response from the farthest system involved.
TimestampstringDate (YYYY-MM-DD) and time (HH:MM:SS) of response from the API service.
ClientIpstringClient IP address the gateway receives from the request.
X-Forwarded-ForstringSequence of IP addresses for systems between the client and the gateway.

Response example (200)

copylink
{
    "Status": "Ok",
    "Source": "Roundtrip",
    "Timestamp": "2022-09-15T04:49:03",
    "ClientIp": "192.0.2.1",
    "X-Forwarded-For": "[192.0.2.1]"
}

post /commercial/checks/v1/stops/place

Places a stop payment for an account using an account number and check number. You can only stop a payment between the hours of 06:00 a.m. and 11:59 p.m. ET.

Note: This API is currently undergoing enhancements to improve synchronization. During this transition period, some capabilities may be limited. For full functionality, continue using the legacy endpoint: POST /accounts/payments/v1/stop.

Contact your Technical Account Manager for access or support.

NAMETYPEDESCRIPTION
accountNumberrequiredstringThe account number to place the stop payment. This is a numeric ID and should not exceed 16 characters.
checkAmountnumberThe amount of the check to stop. Must be a valid monetary value with no more than two decimal places.
issueDatestringThe original check issue date. This must be a valid calendar date in the correct format. Format: YYYY-MM-DD
checkNumberStartrequiredintegerThe starting (lowest) check number in the range for which a stop payment is requested.
checkNumberEndintegerThe last (hightest) check number in the range for which a stop payment is requested. If the number is not specified, it will default to the same value as checkNumberStart.
descriptionstringA custom text field to provide a brief explanation of the stop payment request.

Request example

copylink
{
  "accountNumber": "12345678910",
  "checkAmount": 12.12,
  "issueDate": "2026-02-14",
  "checkNumberStart": 8940,
  "checkNumberEnd": 8963,
  "description": "Stop payment for issued check range"
}
NAMETYPEDESCRIPTION
stopPaymentsObjectStopPayments

Response example (200)

copylink
{
  "accountNumber": "12345678910",
  "checkNumberStart": 8940,
  "checkNumberEnd": 8963,
  "checkAmount": 12.12,
  "expirationDate": "2026-09-14",
  "description": "Stop payment for issued check range",
  "placedDate": "2026-03-14",
  "issueDate": "2026-02-14"  
}

The stop payment request was accepted and submitted for processing, but final confirmation was not available before the response timeout. Do not assume the request failed and there is not a need to immediately resubmit the same stop payment request. The original request may still complete successfully. If the same request is submitted again after processing completes, the API will return a HTTP 409 Duplicate Stop response indicating the first request completed successfully. Retain the X-CorrelationId for tracking or support.

NAMETYPEDESCRIPTION
stopPaymentsObjectStopPayments

Response example (202)

copylink
{
    "metadata": {
        "messages": [
            {
                "code": "STOP-Place-202-processing",
                "message": "Your request for placing a stop is accepted and is still being processed."
            }
        ]
    }
}
NAMETYPEDESCRIPTION
ErrorMessagestringA human-readable message that describes the type or source of the error.
TransactionIdstringA unique transaction ID returned with the response, useful for traceability.
X-CorrelationIdstringA unique identifier generated for each transaction that remains with the transaction through the chain of API operations.
TransactionTimestringDate and time the error occurred.
Api-UrlstringThe API URL path of the call that generated the response.
ServiceErroroneOfServiceErrorData ConnectError

Response example (400)

copylink
{
    "ErrorMessage": "Error received from backend service",
    "TransactionId": "84293235-5d2c-42ba-afc3-a5d4afc5f88e27097",
    "X-CorrelationId": "929618f2-6163-bf73-51b0-6c54a8533c74",
    "TransactionTime": "2021-06-11T16:31:34.041Z",
    "Api-Url": "/commercial/checks/v1/stops/place",
    "ServiceError": {
        "metadata": {
            "messages": [
                {
                    "code": "STOP-Place-400-accountNumber",
                    "message": "accountNumber must be numeric"
                }
            ]
        }
    }
}
NAMETYPEDESCRIPTION
ErrorMessagestringA human-readable message that describes the type or source of the error.
TransactionIdstringA unique transaction ID returned with the response, useful for traceability.
X-CorrelationIdstringA unique identifier generated for each transaction that remains with the transaction through the chain of API operations.
TransactionTimestringDate and time the error occurred.
Api-UrlstringThe API URL path of the call that generated the response.
ServiceErroroneOfServiceErrorData ConnectError

Response example (401)

copylink
{
    "ErrorMessage": "Received request is unauthorized, please provide valid credentials",
    "TransactionId": "0635f201-8fbb-418f-b93a-138d5103e2b91348",
    "X-CorrelationId": "929618f2-6163-bf73-51b0-6c54a8533c74",
    "TransactionTime": "2021-06-11T16:31:34.041Z",
    "Api-Url": "/commercial/checks/v1/stops/place"
}
NAMETYPEDESCRIPTION
ErrorMessagestringA human-readable message that describes the type or source of the error.
TransactionIdstringA unique transaction ID returned with the response, useful for traceability.
X-CorrelationIdstringA unique identifier generated for each transaction that remains with the transaction through the chain of API operations.
TransactionTimestringDate and time the error occurred.
Api-UrlstringThe API URL path of the call that generated the response.
ServiceErroroneOfServiceErrorData ConnectError

Response example (403)

copylink
{
    "ErrorMessage": "Error received from backend service",
    "TransactionId": "84293235-5d2c-42ba-afc3-a5d4afc5f88e27097",
    "X-CorrelationId": "929618f2-6163-bf73-51b0-6c54a8533c74",
    "TransactionTime": "2021-06-11T16:31:34.041Z",
    "Api-Url": "/commercial/checks/v1/stops/place",
    "ServiceError": {
        "metadata": {
            "messages": [
                {
                    "code": "Forbidden",
                    "message": "Entitlements Validation Failed"
                }
            ]
        }
    }
}
NAMETYPEDESCRIPTION
ErrorMessagestringA human-readable message that describes the type or source of the error.
TransactionIdstringA unique transaction ID returned with the response, useful for traceability.
X-CorrelationIdstringA unique identifier generated for each transaction that remains with the transaction through the chain of API operations.
TransactionTimestringDate and time the error occurred.
Api-UrlstringThe API URL path of the call that generated the response.
ServiceErroroneOfServiceErrorData ConnectError

Response example (404)

copylink
{
    "ErrorMessage": "Error received from backend service",
    "TransactionId": "84293235-5d2c-42ba-afc3-a5d4afc5f88e27097",
    "X-CorrelationId": "929618f2-6163-bf73-51b0-6c54a8533c74",
    "TransactionTime": "2021-06-11T16:31:34.041Z",
    "Api-Url": "/commercial/checks/v1/stops/place",
    "ServiceError": {
        "metadata": {
            "messages": [
                {
                    "code": "STOP-Place-404-Not-Found",
                    "message": "No static resource v1/stops/place"
                }
            ]
        }
    }
}
NAMETYPEDESCRIPTION
ErrorMessagestringA human-readable message that describes the type or source of the error.
TransactionIdstringA unique transaction ID returned with the response, useful for traceability.
X-CorrelationIdstringA unique identifier generated for each transaction that remains with the transaction through the chain of API operations.
TransactionTimestringDate and time the error occurred.
Api-UrlstringThe API URL path of the call that generated the response.
ServiceErroroneOfServiceErrorData ConnectError

Response example (405)

copylink
{
    "ErrorMessage": "Error received from backend service",
    "TransactionId": "84293235-5d2c-42ba-afc3-a5d4afc5f88e27097",
    "X-CorrelationId": "929618f2-6163-bf73-51b0-6c54a8533c74",
    "TransactionTime": "2021-06-11T16:31:34.041Z",
    "Api-Url": "/commercial/checks/v1/stops/place",
    "ServiceError": {
        "metadata": {
            "messages": [
                {
                    "code": "STOP-Place-405-Method-Not-Allowed",
                    "message": "Method 'Get' is not supported."
                }
            ]
        }
    }
}
NAMETYPEDESCRIPTION
ErrorMessagestringA human-readable message that describes the type or source of the error.
TransactionIdstringA unique transaction ID returned with the response, useful for traceability.
X-CorrelationIdstringA unique identifier generated for each transaction that remains with the transaction through the chain of API operations.
TransactionTimestringDate and time the error occurred.
Api-UrlstringThe API URL path of the call that generated the response.
ServiceErroroneOfServiceErrorData ConnectError

Response example (409)

copylink
{
    "ErrorMessage": "Error received from backend service",
    "TransactionId": "84293235-5d2c-42ba-afc3-a5d4afc5f88e27097",
    "X-CorrelationId": "929618f2-6163-bf73-51b0-6c54a8533c74",
    "TransactionTime": "2021-06-11T16:31:34.041Z",
    "Api-Url": "/commercial/checks/v1/stops/place",
    "ServiceError": {
        "metadata": {
            "messages": [
                {
                    "code": "STOP-Place-409-duplicate",
                    "message": "A Stop Payment already exists for the requested check(s)"
                }
            ]
        }
    }
}
NAMETYPEDESCRIPTION
ErrorMessagestringA human-readable message that describes the type or source of the error.
TransactionIdstringA unique transaction ID returned with the response, useful for traceability.
X-CorrelationIdstringA unique identifier generated for each transaction that remains with the transaction through the chain of API operations.
TransactionTimestringDate and time the error occurred.
Api-UrlstringThe API URL path of the call that generated the response.
ServiceErroroneOfServiceErrorData ConnectError

Response example (412)

copylink
{
    "ErrorMessage": "Error received from backend service",
    "TransactionId": "84293235-5d2c-42ba-afc3-a5d4afc5f88e27097",
    "X-CorrelationId": "929618f2-6163-bf73-51b0-6c54a8533c74",
    "TransactionTime": "2021-06-11T16:31:34.041Z",
    "Api-Url": "/commercial/checks/v1/stops/place",
    "ServiceError": {
        "metadata": {
            "messages": [
                {
                    "code": "STOP-Place-412-accountNumber",
                    "message": "Invalid Account"
                }
            ]
        }
    }
}
NAMETYPEDESCRIPTION
ErrorMessagestringA human-readable message that describes the type or source of the error.
TransactionIdstringA unique transaction ID returned with the response, useful for traceability.
X-CorrelationIdstringA unique identifier generated for each transaction that remains with the transaction through the chain of API operations.
TransactionTimestringDate and time the error occurred.
Api-UrlstringThe API URL path of the call that generated the response.
ServiceErroroneOfServiceErrorData ConnectError

Response example (415)

copylink
{
    "ErrorMessage": "Error received from backend service",
    "TransactionId": "84293235-5d2c-42ba-afc3-a5d4afc5f88e27097",
    "X-CorrelationId": "929618f2-6163-bf73-51b0-6c54a8533c74",
    "TransactionTime": "2021-06-11T16:31:34.041Z",
    "Api-Url": "/commercial/checks/v1/stops/place",
    "ServiceError": {
        "metadata": {
            "messages": [
                {
                    "code": "STOP-Place-415-Unsupported-Media-Type",
                    "message": "Content-Type 'X' is not supported."
                }
            ]
        }
    }
}
NAMETYPEDESCRIPTION
ErrorMessagestringA human-readable message that describes the type or source of the error.
TransactionIdstringA unique transaction ID returned with the response, useful for traceability.
X-CorrelationIdstringA unique identifier generated for each transaction that remains with the transaction through the chain of API operations.
TransactionTimestringDate and time the error occurred.
Api-UrlstringThe API URL path of the call that generated the response.
ServiceErroroneOfServiceErrorData ConnectError

Response example (422)

copylink
{
    "ErrorMessage": "Error received from backend service",
    "TransactionId": "84293235-5d2c-42ba-afc3-a5d4afc5f88e27097",
    "X-CorrelationId": "929618f2-6163-bf73-51b0-6c54a8533c74",
    "TransactionTime": "2021-06-11T16:31:34.041Z",
    "Api-Url": "/commercial/checks/v1/stops/place",
    "ServiceError": {
        "metadata": {
            "messages": [
                {
                    "code": "STOP-Place-422-error",
                    "message": "Unable to place the requested Stop Payment."
                }
            ]
        }
    }
}
NAMETYPEDESCRIPTION
ErrorMessagestringA human-readable message that describes the type or source of the error.
TransactionIdstringA unique transaction ID returned with the response, useful for traceability.
X-CorrelationIdstringA unique identifier generated for each transaction that remains with the transaction through the chain of API operations.
TransactionTimestringDate and time the error occurred.
Api-UrlstringThe API URL path of the call that generated the response.
ServiceErroroneOfServiceErrorData ConnectError

Response example (429)

copylink
{
    "ErrorMessage": "Number requests threshold reached, please resubmit the request after sometime",
    "TransactionId": "84293235-5d2c-42ba-afc3-a5d4afc5f88e27097",
    "X-CorrelationId": "929618f2-6163-bf73-51b0-6c54a8533c74",
    "TransactionTime": "2021-06-11T16:31:34.041Z",
    "Api-Url": "/commercial/checks/v1/stops/place"
}
NAMETYPEDESCRIPTION
ErrorMessagestringA human-readable message that describes the type or source of the error.
TransactionIdstringA unique transaction ID returned with the response, useful for traceability.
X-CorrelationIdstringA unique identifier generated for each transaction that remains with the transaction through the chain of API operations.
TransactionTimestringDate and time the error occurred.
Api-UrlstringThe API URL path of the call that generated the response.
ServiceErroroneOfServiceErrorData ConnectError

Response example (500)

copylink
{
    "ErrorMessage": "Error received from backend",
    "TransactionId": "84293235-5d2c-42ba-afc3-a5d4afc5f88e27097",
    "TransactionTime": "2021-06-11T16:31:34.041Z",
    "X-CorrelationId": "929618f2-6163-bf73-51b0-6c54a8533c74",
    "Api-Url": "/commercial/checks/v1/stops/place",
    "ServiceError": {
        "metadata": {
            "messages": [
                {
                    "code": "STOP-Place-500-error",
                    "message": "Unable to place the requested Stop Payment."
                }
            ]
        }
    }
}
NAMETYPEDESCRIPTION
ErrorMessagestringA human-readable message that describes the type or source of the error.
TransactionIdstringA unique transaction ID returned with the response, useful for traceability.
X-CorrelationIdstringA unique identifier generated for each transaction that remains with the transaction through the chain of API operations.
TransactionTimestringDate and time the error occurred.
Api-UrlstringThe API URL path of the call that generated the response.
ServiceErroroneOfServiceErrorData ConnectError

Response example (502)

copylink
{
    "ErrorMessage": "Error received from backend",
    "TransactionId": "84293235-5d2c-42ba-afc3-a5d4afc5f88e27097",
    "TransactionTime": "2021-06-11T16:31:34.041Z",
    "X-CorrelationId": "929618f2-6163-bf73-51b0-6c54a8533c74",
    "Api-Url": "/commercial/checks/v1/stops/place",
    "ServiceError": {
        "ConnectError": "Connectivity error occurred with the downstream service (Unexpected EOF at target), please check with application support team before resubmitting the request"
    }
}
NAMETYPEDESCRIPTION
ErrorMessagestringA human-readable message that describes the type or source of the error.
TransactionIdstringA unique transaction ID returned with the response, useful for traceability.
X-CorrelationIdstringA unique identifier generated for each transaction that remains with the transaction through the chain of API operations.
TransactionTimestringDate and time the error occurred.
Api-UrlstringThe API URL path of the call that generated the response.
ServiceErroroneOfServiceErrorData ConnectError

Response example (503)

copylink
{
    "ErrorMessage": "Error received from backend",
    "TransactionId": "84293235-5d2c-42ba-afc3-a5d4afc5f88e27097",
    "TransactionTime": "2021-06-11T16:31:34.041Z",
    "X-CorrelationId": "929618f2-6163-bf73-51b0-6c54a8533c74",
    "Api-Url": "/commercial/checks/v1/stops/place",
    "ServiceError": {
        "ConnectError": "Connectivity error occurred with the downstream service (Unexpected EOF at target), please check with application support team before resubmitting the request"
    }
}
NAMETYPEDESCRIPTION
ErrorMessagestringA human-readable message that describes the type or source of the error.
TransactionIdstringA unique transaction ID returned with the response, useful for traceability.
X-CorrelationIdstringA unique identifier generated for each transaction that remains with the transaction through the chain of API operations.
TransactionTimestringDate and time the error occurred.
Api-UrlstringThe API URL path of the call that generated the response.
ServiceErroroneOfServiceErrorData ConnectError

Response example (504)

copylink
{
    "ErrorMessage": "Error received from backend",
    "TransactionId": "84293235-5d2c-42ba-afc3-a5d4afc5f88e27097",
    "X-CorrelationId": "929618f2-6163-bf73-51b0-6c54a8533c74",
    "TransactionTime": "2021-06-11T16:31:34.041Z",
    "Api-Url": "/commercial/checks/v1/stops/place",
    "ServiceError": {
        "ConnectError": "Request could not be processed on time (GatewayTimeout), please wait a moment and resubmit the request."
    }
}

post /commercial/checks/v1/images/list

Get check data with an account number and check number. To return a check image, define the image format in the request.

NAMETYPEDESCRIPTION
accountNumberrequiredstringAccount number related to the check holder. This is a numeric ID and should not exceed 16 characters.
checkNumberrequiredintegerThe number of the check to retrieve. This is a numeric ID.
checkAmountnumberThe amount of the check. Must be a valid monetary value with no more than two decimal places.
checkProcessDaterequiredstringThe date the check was processed. Format: YYYY-MM-DD
imageFormatstringIndicates the output format of the check images. If no format is defined, no image is returned. Valid values: BMP, JPEG, PNG, TIF, TIFF, TIFG_4

Request example

copylink
{
  "accountNumber": "12345678910",
  "checkNumber": "123",
  "checkAmount": "111.11",
  "checkProcessDate": "2026-01-27",
  "imageFormat": "PNG"
}
NAMETYPEDESCRIPTION
checkImagesObjectCheckImage
copylink
{
  "accountNumber": "12345678910",
  "checkNumber": 123,
  "checkAmount": 111.11,
  "checkProcessDate": "2026-01-27",
  "sequenceNumber": 1,
  "transactionType": "DEBIT",
  "checkRoutingNumber": "04120704",
  "checkFrontImage": "lUwXMGBwTm4dy/5pe8GwlRZULmMfPkzL8yZKfDxRTU7HFMW/b7DYqjBq0vyC85PxMObQ2UxtcbVe78MWsdgIBkKY7pCB4eE7GQr9QOcFRW2O7FQshj8ExEy0bmCV8cQFyxzKh04XPWIDxp71PIw/BFWy2GG+R3b1SFP/Mbj0Hdppoxn+rUxAz7Red+39BodSSz1xZteU8hu6fYvvNmbqasZmkVAEE6hS2H+3uVKqaMmnpHJ2oIie0rtowueFradOWhNGvV5pRuEhEd6j93X/7mt=",
  "checkRearImage": "73mfoZbjXF4Gr9XuIYSieWR0o3NV2bvMcwiurzvU8Dyvy2CG+1DYdw3IyHHZRdY6CKiarVFK7mG+IgJKVaDwqA2Ma7YxopwgEIJ5oc8gS/O8BzX7zms/6hmRn9wrcZj3ZhaSUmAdOtSc3qOzp6JPLoYyJg2hQwnEtJyormF8GT5ajF8ADV6XQD+d3Ym8bKsR6rHWwGB0bmiKu+9r+33mR8QZmzmmCPIUZXzj6CXaLr0dNA4+xXszgMbWAHI00ZGhTsSfzyWp8FHYZx24fbEOkS9ApuVBRihL+Eb14ldJayOgAXI3OjLJgo2pB4EUvbQmhwu="
}
NAMETYPEDESCRIPTION
ErrorMessagestringA human-readable message that describes the type or source of the error.
TransactionIdstringA unique transaction ID returned with the response, useful for traceability.
X-CorrelationIdstringA unique identifier generated for each transaction that remains with the transaction through the chain of API operations.
TransactionTimestringDate and time the error occurred.
Api-UrlstringThe API URL path of the call that generated the response.
ServiceErroroneOfServiceErrorData ConnectError

Response example (400)

copylink
{
    "ErrorMessage": "Error received from backend service",
    "TransactionId": "84293235-5d2c-42ba-afc3-a5d4afc5f88e27097",
    "X-CorrelationId": "929618f2-6163-bf73-51b0-6c54a8533c74",
    "TransactionTime": "2021-06-11T16:31:34.041Z",
    "Api-Url": "/commercial/checks/v1/images/list",
    "ServiceError": {
        "metadata": {
            "messages": [
                {
                    "code": "IMAGE-Check-400-accountNumber",
                    "message": "accountNumber must be numeric"
                }
            ]
        }
    }
}
NAMETYPEDESCRIPTION
ErrorMessagestringA human-readable message that describes the type or source of the error.
TransactionIdstringA unique transaction ID returned with the response, useful for traceability.
X-CorrelationIdstringA unique identifier generated for each transaction that remains with the transaction through the chain of API operations.
TransactionTimestringDate and time the error occurred.
Api-UrlstringThe API URL path of the call that generated the response.
ServiceErroroneOfServiceErrorData ConnectError

Response example (401)

copylink
{
    "ErrorMessage": "Received request is unauthorized, please provide valid credentials",
    "TransactionId": "0635f201-8fbb-418f-b93a-138d5103e2b91348",
    "X-CorrelationId": "929618f2-6163-bf73-51b0-6c54a8533c74",
    "TransactionTime": "2021-06-11T16:31:34.041Z",
    "Api-Url": "/commercial/checks/v1/images/list"
}
NAMETYPEDESCRIPTION
ErrorMessagestringA human-readable message that describes the type or source of the error.
TransactionIdstringA unique transaction ID returned with the response, useful for traceability.
X-CorrelationIdstringA unique identifier generated for each transaction that remains with the transaction through the chain of API operations.
TransactionTimestringDate and time the error occurred.
Api-UrlstringThe API URL path of the call that generated the response.
ServiceErroroneOfServiceErrorData ConnectError

Response example (403)

copylink
{
    "ErrorMessage": "Error received from backend service",
    "TransactionId": "84293235-5d2c-42ba-afc3-a5d4afc5f88e27097",
    "X-CorrelationId": "929618f2-6163-bf73-51b0-6c54a8533c74",
    "TransactionTime": "2021-06-11T16:31:34.041Z",
    "Api-Url": "/commercial/checks/v1/images/list",
    "ServiceError": {
        "metadata": {
            "messages": [
                {
                    "code": "Forbidden",
                    "message": "Entitlements Validation Failed"
                }
            ]
        }
    }
}
NAMETYPEDESCRIPTION
ErrorMessagestringA human-readable message that describes the type or source of the error.
TransactionIdstringA unique transaction ID returned with the response, useful for traceability.
X-CorrelationIdstringA unique identifier generated for each transaction that remains with the transaction through the chain of API operations.
TransactionTimestringDate and time the error occurred.
Api-UrlstringThe API URL path of the call that generated the response.
ServiceErroroneOfServiceErrorData ConnectError

Response example (404)

copylink
{
    "ErrorMessage": "Error received from backend service",
    "TransactionId": "84293235-5d2c-42ba-afc3-a5d4afc5f88e27097",
    "X-CorrelationId": "929618f2-6163-bf73-51b0-6c54a8533c74",
    "TransactionTime": "2021-06-11T16:31:34.041Z",
    "Api-Url": "/commercial/checks/v1/images/list",
    "ServiceError": {
        "metadata": {
            "messages": [
                {
                    "code": "IMAGE-Check-404-Not-Found",
                    "message": "No static resource v1/images/list"
                }
            ]
        }
    }
}
NAMETYPEDESCRIPTION
ErrorMessagestringA human-readable message that describes the type or source of the error.
TransactionIdstringA unique transaction ID returned with the response, useful for traceability.
X-CorrelationIdstringA unique identifier generated for each transaction that remains with the transaction through the chain of API operations.
TransactionTimestringDate and time the error occurred.
Api-UrlstringThe API URL path of the call that generated the response.
ServiceErroroneOfServiceErrorData ConnectError

Response example (405)

copylink
{
    "ErrorMessage": "Error received from backend service",
    "TransactionId": "84293235-5d2c-42ba-afc3-a5d4afc5f88e27097",
    "X-CorrelationId": "929618f2-6163-bf73-51b0-6c54a8533c74",
    "TransactionTime": "2021-06-11T16:31:34.041Z",
    "Api-Url": "/commercial/checks/v1/images/list",
    "ServiceError": {
        "metadata": {
            "messages": [
                {
                    "code": "IMAGE-Check-405-Method-Not-Allowed",
                    "message": "Method 'Get' is not supported."
                }
            ]
        }
    }
}
NAMETYPEDESCRIPTION
ErrorMessagestringA human-readable message that describes the type or source of the error.
TransactionIdstringA unique transaction ID returned with the response, useful for traceability.
X-CorrelationIdstringA unique identifier generated for each transaction that remains with the transaction through the chain of API operations.
TransactionTimestringDate and time the error occurred.
Api-UrlstringThe API URL path of the call that generated the response.
ServiceErroroneOfServiceErrorData ConnectError

Response example (415)

copylink
{
    "ErrorMessage": "Error received from backend service",
    "TransactionId": "84293235-5d2c-42ba-afc3-a5d4afc5f88e27097",
    "X-CorrelationId": "929618f2-6163-bf73-51b0-6c54a8533c74",
    "TransactionTime": "2021-06-11T16:31:34.041Z",
    "Api-Url": "/commercial/checks/v1/images/list",
    "ServiceError": {
        "metadata": {
            "messages": [
                {
                    "code": "IMAGE-Check-415-Unsupported-Media-Type",
                    "message": "Content-Type 'X' is not supported."
                }
            ]
        }
    }
}
NAMETYPEDESCRIPTION
ErrorMessagestringA human-readable message that describes the type or source of the error.
TransactionIdstringA unique transaction ID returned with the response, useful for traceability.
X-CorrelationIdstringA unique identifier generated for each transaction that remains with the transaction through the chain of API operations.
TransactionTimestringDate and time the error occurred.
Api-UrlstringThe API URL path of the call that generated the response.
ServiceErroroneOfServiceErrorData ConnectError

Response example (429)

copylink
{
    "ErrorMessage": "Number requests threshold reached, please resubmit the request after sometime",
    "TransactionId": "84293235-5d2c-42ba-afc3-a5d4afc5f88e27097",
    "X-CorrelationId": "929618f2-6163-bf73-51b0-6c54a8533c74",
    "TransactionTime": "2021-06-11T16:31:34.041Z",
    "Api-Url": "/commercial/checks/v1/stops/place"
}
NAMETYPEDESCRIPTION
ErrorMessagestringA human-readable message that describes the type or source of the error.
TransactionIdstringA unique transaction ID returned with the response, useful for traceability.
X-CorrelationIdstringA unique identifier generated for each transaction that remains with the transaction through the chain of API operations.
TransactionTimestringDate and time the error occurred.
Api-UrlstringThe API URL path of the call that generated the response.
ServiceErroroneOfServiceErrorData ConnectError

Response example (500)

copylink
{
    "ErrorMessage": "Error received from backend",
    "TransactionId": "84293235-5d2c-42ba-afc3-a5d4afc5f88e27097",
    "TransactionTime": "2021-06-11T16:31:34.041Z",
    "X-CorrelationId": "929618f2-6163-bf73-51b0-6c54a8533c74",
    "Api-Url": "/commercial/checks/v1/images/list",
    "ServiceError": {
        "metadata": {
            "messages": [
                {
                    "code": "IMAGE-Check-500-error",
                    "message": "Unable to process the request."
                }
            ]
        }
    }
}
NAMETYPEDESCRIPTION
ErrorMessagestringA human-readable message that describes the type or source of the error.
TransactionIdstringA unique transaction ID returned with the response, useful for traceability.
X-CorrelationIdstringA unique identifier generated for each transaction that remains with the transaction through the chain of API operations.
TransactionTimestringDate and time the error occurred.
Api-UrlstringThe API URL path of the call that generated the response.
ServiceErroroneOfServiceErrorData ConnectError

Response example (502)

copylink
{
    "ErrorMessage": "Error received from backend",
    "TransactionId": "84293235-5d2c-42ba-afc3-a5d4afc5f88e27097",
    "TransactionTime": "2021-06-11T16:31:34.041Z",
    "X-CorrelationId": "929618f2-6163-bf73-51b0-6c54a8533c74",
    "Api-Url": "/commercial/checks/v1/images/list",
    "ServiceError": {
        "ConnectError": "Connectivity error occurred with the downstream service (Unexpected EOF at target), please check with application support team before resubmitting the request"
    }
}
NAMETYPEDESCRIPTION
ErrorMessagestringA human-readable message that describes the type or source of the error.
TransactionIdstringA unique transaction ID returned with the response, useful for traceability.
X-CorrelationIdstringA unique identifier generated for each transaction that remains with the transaction through the chain of API operations.
TransactionTimestringDate and time the error occurred.
Api-UrlstringThe API URL path of the call that generated the response.
ServiceErroroneOfServiceErrorData ConnectError

Response example (503)

copylink
{
    "ErrorMessage": "Error received from backend",
    "TransactionId": "84293235-5d2c-42ba-afc3-a5d4afc5f88e27097",
    "TransactionTime": "2021-06-11T16:31:34.041Z",
    "X-CorrelationId": "929618f2-6163-bf73-51b0-6c54a8533c74",
    "Api-Url": "/commercial/checks/v1/images/list",
    "ServiceError": {
        "ConnectError": "Connectivity error occurred with the downstream service (Unexpected EOF at target), please check with application support team before resubmitting the request"
    }
}
NAMETYPEDESCRIPTION
ErrorMessagestringA human-readable message that describes the type or source of the error.
TransactionIdstringA unique transaction ID returned with the response, useful for traceability.
X-CorrelationIdstringA unique identifier generated for each transaction that remains with the transaction through the chain of API operations.
TransactionTimestringDate and time the error occurred.
Api-UrlstringThe API URL path of the call that generated the response.
ServiceErroroneOfServiceErrorData ConnectError

Response example (504)

copylink
{
    "ErrorMessage": "Error received from backend",
    "TransactionId": "84293235-5d2c-42ba-afc3-a5d4afc5f88e27097",
    "X-CorrelationId": "929618f2-6163-bf73-51b0-6c54a8533c74",
    "TransactionTime": "2021-06-11T16:31:34.041Z",
    "Api-Url": "/commercial/checks/v1/images/list",
    "ServiceError": {
        "ConnectError": "Request could not be processed on time (GatewayTimeout), please wait a moment and resubmit the request."
    }
}
NAMETYPEDESCRIPTION
stopPaymentsObjectStopPayments
NAMETYPEDESCRIPTION
checkImagesObjectCheckImage
NAMETYPEDESCRIPTION
messagesoptionalarrayMessage
NAMETYPEDESCRIPTION
codestringMachine-readable code.
messagestringHuman-readable message associated with the code.
NAMETYPEDESCRIPTION
accountNumberstringThe account number to place the stop payment.
checkNumberStartintegerThe starting (lowest) check number in the range for which a stop payment is requested.
checkNumberEndintegerThe last (hightest) check number in the range for which a stop payment is requested. If the number is not specified, it will default to the same value as checkNumberStart.
checkAmountnumberThe amount of the check to stop.
expirationDatestringStop payment expiration date. Format: YYYY-MM-DD
descriptionstringA custom text field to provide a brief explanation of the stop payment request.
placedDatestringStop payment placed or effective date. Format: YYYY-MM-DD
issueDatestringOriginal check issue date. Format: YYYY-MM-DD
NAMETYPEDESCRIPTION
accountNumberstringAccount number related to the check holder.
checkNumberintegerCheck number associated with the check image.
checkAmountnumberAmount of the check provided.
checkProcessDatestringCheck process date (YYYY-MM-DD).
sequenceNumberintegerSystem generated sequence number.
transactionTypestringType of transaction for the check.
checkRoutingNumberstringRouting number on the check.
checkFrontImagestringThe Base64 encoded string for the front image of the check.
checkRearImagestringThe Base64 encoded string for the back image of the check.
NAMETYPEDESCRIPTION
metadataObjectResponseMetadata
NAMETYPEDESCRIPTION
ConnectErrorstringAPI connectivity error information, if available.

Check Services uses standard HTTP status codes for error handling. Additional error information may be present in ErrorMetadata, ServiceErrorData, or ConnectError. Review the associated code and message for additional details as to why your call encountered an error. 

For more information about general HTTP status codes, see Error Handling. Or if you get stuck, review possible ways to resolve on the Troubleshooting page.

1.1.1

June 2026

  • Added format details and additional parameter control information.
  • Standardized and improved error messaging, utilizing the Exception schema.

1.1.0

April 2026

Released on the Developer Portal.

Impact levels

  • LOW: This is a minor change or enhancement that does not alter the operations of the API. Upgrading to the latest specifications is preferable but not required.
  • MID: The previous API version is valid and operates, but does not contain latest enhancements. You need to update your specifications to get these enhancements.
  • HIGH: The previous API version is no longer operable. You must upgrade to the latest specifications to access and use this API product.

YAML file download